#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n,k;
    cin >> n >>k;
    int niz[n];
    int i;
    for(i=0;i<n;i++)
    {
        cin >> niz[i];
    }
    int broj;
    int j=1,m=0;
    int nizz[n];
    sort(niz,niz+n);
    for(i=0;i<n;i++)
    {
        broj=niz[i];
        if(broj==niz[i+1])
        {
            j=j+1;
        }
        else if(j>=k)
        {
            j=1;
            nizz[m]=broj;
            m=m+1;
        }
    }
    cout << m <<endl;
    for(i=0;i<m;i++)
    {
        cout << nizz[i]<<" ";
    }
    return 0;
}